/************************************************************

	Author:						Manfred Langemann
	mailto:						Manfred.Langemann t t-online.de
	Begin of project:			20.06.2008
	Latest version generated:	28.06.2008
	Filename:					Blowfish.h
	Description:    			include file

 *************************************************************/
typedef struct
	{
	unsigned long P[16 + 2];
	unsigned long S[4][256];
	} BLOWFISH_CTX;

int	 DoBlowfish (PTSTR pStr, int iLen, int iType, TCHAR* UserPW);
void Blowfish_Init(BLOWFISH_CTX *ctx, unsigned char *key, int keyLen);
void Blowfish_Encrypt(BLOWFISH_CTX *ctx, unsigned long *xl, unsigned long *xr);
void Blowfish_Decrypt(BLOWFISH_CTX *ctx, unsigned long *xl, unsigned long *xr);

#define ENCRYPT_BLOWFISH	0
#define DECRYPT_BLOWFISH	1

#define	TRUE	1
#define	FALSE	0

